package com.datarecovery.master.utils;

public class BoxingUtil {
    private BoxingUtil() {

    }

    public static boolean boxing(Boolean b) {
        return b != null && b;
    }

    public static int boxing(Integer integer) {
        return integer == null ? 0 : integer;
    }

    public static long boxing(Long l) {
        return l == null ? 0 : l;
    }

    public static float boxing(Float f) {
        return f == null ? 0f : f;
    }
}